# Gimp.ExportOptions.get_image

    @accepts(Gimp.ExportOptions, Gimp.Image)
    @returns(Gimp.ExportReturn)
    def get_image(self, image):
        # Python wrapper for gimp_export_options_get_image()

Takes an image to be exported, possibly creating a temporary copy modified according to export settings in self (such as the capabilities of the export format).

If necessary, a copy is created, converted and modified, image changed to point to the new image and the procedure returns [enum@Gimp.ExportReturn.EXPORT]. In this case, you must take care of deleting the created image using [method@Image.delete] once the image has been exported, unless you were planning to display it with [ctor@Display.new], or you will leak memory.

If [enum@Gimp.ExportReturn.IGNORE] is returned, then image is still the original image. You should neither modify it, nor should you delete it in the end. If you wish to temporarily modify the image before export anyway, call [method@Image.duplicate] when [enum@Gimp.ExportReturn.IGNORE] was returned.

Since 3.0

self

  The Gimp.ExportOptions object.

image

  the image.

Returns